// import { HtmlTextParser } from './../ctrls/HtmlTextParser';
import Panel from "../views/Panel";
import { NetManager } from "../../libs/tw/manager/NetManager";
import { DataManager } from "../../libs/tw/manager/DataManager";
export default class RulePanel extends Panel {
    public ruleGroup:eui.Group;
    public ruleLb:eui.Label;
    public okBtn:eui.Button;

    public get skinKey() { return 'Rule' }
    public get groupName() { return 'rule_panel' }

    constructor(data: any) {
        super(data);
    }

    onSkinComplete(): void {
        super.onSkinComplete();

        this.once(egret.Event.ADDED_TO_STAGE, this.onLoad, this);
        if (this.stage) {
            this.onLoad();
        }
    }

    start(): void {
        this.percentHeight = 100;
    }

    initEvents(): void {
        super.initEvents();
        // this.okBtn.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onTouchTap, this);
    }

    removeEvents(): void {
        super.removeEvents();
        // this.okBtn.removeEventListener(egret.TouchEvent.TOUCH_TAP, this.onTouchTap, this);
    }

    private onLoad():void{
        // NetManager.ins.getRule(function(success){

        //     if(success){
        //         //使用 HtmlTextParser 解析html文本
        //         this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.getRuleData.ruleText);
        //     }else{
        //         this.ruleLb.text = '规则'
        //     }
        // }.bind(this));

        // this.ruleLb.textColor = 0x2c2a29;
        // this.ruleLb.stroke = 0;
        // this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.ajaxElementDataNew.rule);
        // this.ruleLb.text = '当地球日遇上阅读日，让我们一起大声地为地球朗读！\n测一测你更像哪一位书籍中的经典人物呢？\n\n活动时间：4月22日至4月23日\n\n活动说明：每位用户可无限次免费参与测试活动，每参与1次活动即可获得1次抽奖机会，每天每位用户最多可获得5次抽奖机会\n\n奖品说明：\na，书旗小说45天会员\nb，喜马拉雅15天会员\nc，网易蜗牛读书免费7天\nd，爱奇艺阅读7天会员卡\n\n重要声明：\n1、优惠券类奖品的使用规则详见每个优惠券的介绍页\n2、通过非法途径获得奖品的，主办方有权不提供奖品';
        this.ruleLb.text = `活动主题：
玩萌宠汪星球 赢云集优惠券

活动玩法：
点击“召唤汪星人”产出新的狗狗；“我的狗粮”单位量级：k（千）； w（万）；m（百万）；e（亿）；b（十亿）；t（千亿）；g（万亿）；z（亿亿）
两只同等级的狗可以合成更高一级的狗~
消耗狗粮可召唤狗狗，狗狗也可在线产生狗粮收益~
等级越高的狗狗屯粮的速度越快~
邀请好友助力可加快狗狗生产狗粮的速度，好友数量上限6人~

活动奖品：
达到不同等级用户，可有机会获得云集150-10面额和300-20面额全场通用券（特殊商品除外）~`;
    }

    
}